Get detailed information about a specific chart
import requests
url = "https://platform.ankra.app/api/v1/org/stacks/charts/details"
payload = {
"chart_name": "<string>",
"repository_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({chart_name: '<string>', repository_url: '<string>'})
};
fetch('https://platform.ankra.app/api/v1/org/stacks/charts/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/org/stacks/charts/details \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chart_name": "<string>",
"repository_url": "<string>"
}
'{
"icon": "<string>",
"name": "<string>",
"repository_name": "<string>",
"repository_url": "<string>",
"profiles": [],
"versions": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Charts
Get detailed information about a specific chart
POST
/
api
/
v1
/
org
/
stacks
/
charts
/
details
Get detailed information about a specific chart
import requests
url = "https://platform.ankra.app/api/v1/org/stacks/charts/details"
payload = {
"chart_name": "<string>",
"repository_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({chart_name: '<string>', repository_url: '<string>'})
};
fetch('https://platform.ankra.app/api/v1/org/stacks/charts/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/org/stacks/charts/details \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chart_name": "<string>",
"repository_url": "<string>"
}
'{
"icon": "<string>",
"name": "<string>",
"repository_name": "<string>",
"repository_url": "<string>",
"profiles": [],
"versions": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.